import { ensureFunction } from './utils/ensureFunction.js';
export function compose(fn, ...fns) {
    return fns.reduce((f, g) => {
        const g_ = ensureFunction(g);
        return (...args) => f(g_(...args));
    }, ensureFunction(fn));
}
